Bug 427010 - Review Request: abcmusiex - Training music score (pentagram) reading
Review Request: abcmusiex - Training music score (pentagram) reading
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 18:57 EST by Rodolfo Alcazar
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 06:16:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodolfo Alcazar 2007-12-29 18:57:29 EST
Spec URL: http://internap.dl.sourceforge.net/sourceforge/abcmusiex/abcmusiex.spec
SRPM URL: http://internap.dl.sourceforge.net/sourceforge/abcmusiex/abcmusiex-0.9-3.fc8.src.rpm

Hi, this is my first package I submit for review. I believe fulfilling all the requirements. I would really appreciate its review and inclusion in repository. You can find the GPG Key at: http://abcmusiex.sourceforge.net/RodolfoAP.gpg

Rpmlint output:

$ rpmlint -vv abcmusiex-0.9-3.fc8.src.rpm 
abcmusiex.src: I: checking
$ rpmlint -vv abcmusiex-0.9-3.fc8.i386.rpm 
abcmusiex.i386: I: checking
$ rpmlint -vv abcmusiex.spec 
$

Thanks a lot!
Comment 1 Jason Tibbitts 2007-12-30 02:27:04 EST
Blocking NEEDSPONSOR, since this is your first package.  You will need to find a
sponsor before you can obtain access to the Fedora package CVS and buildsystem.
 See http://fedoraproject.org/wiki/PackageMaintainers/Join and more specifically
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored for more
information on the sponsorship process.

Some sponsors will want to see you help out with reviews of other packages, and
some sponsors are willing to work with upstream software authors get their
packages into the distro.  For my part, I'm not really interested in the
software but if the packager of abcMIDI is willing to co-maintain this package
with you (and you fix the below packaging issues) then I'm willing to sponsor
you.  Are you in contact with him?

As for this package, it looks mostly OK, but I have a few comments and questions:

I don't understand "%(echo $HOME)/%{name}/RPMS/" in the spec; it should not be
there and in any case you should never depend on the environment of the person
building the package, which doesn't persist when building in mock and is
meaningless in the buildsystem.

BuildRoot: should be
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Souce0: should be the full URL to the tarball, probably something like:
  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

You should use %{_bindir}/abcmusiex in your %files list instead of using /usr/bin.

Even though you call the configure script properly, your makefile doesn't call
gcc with any flags.  This results in the debuginfo package being empty, among
other things.  It is my understanding that some specifics of the build note
generation also require that you call ld instead of letting the compiler link
the executable itself, although I do not understand the details.

You should package the NEWS file as %doc.  It is not necessary that you include
the entirety of the program's changelog in your %changelog, since that
represents the changelog of the package, not of the program contained within it.

The sourceforge page says that this program requires abc2prt and abcm2ps but
neither of them is provided by the dependencies of this package.  Some abc
executables are provided by the abcMIDI package but not those two.
Comment 2 Rodolfo Alcazar 2007-12-30 07:50:50 EST
Jason, thanks a Lot, I really appreciate your fast answer. 

> For my part, I'm not really interested in the
> software but if the packager of abcMIDI is willing to co-maintain this package
> with you (and you fix the below packaging issues) then I'm willing to sponsor
> you.  Are you in contact with him?

No. But I wrote seymour.shlien@crc.ca and Gérard Milmeister <gemi@bluewin.ch>,
who I think is the abcMIDI packager. I hope they'll give me a hand.
 
> As for this package, it looks mostly OK, but I have a few comments and questions:

Thanks. Here are my replies:

> ... don't understand "%(echo $HOME)/%{name}/RPMS/" in the spec ...

Fixed.

> BuildRoot: should be "%{_tmppath}..."

Fixed.

> Souce0: should be the full URL to the tarball, probably something like:
>   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Fixed.

> ... %{_bindir}/abcmusiex in your %files list instead of using /usr/bin.

Fixed.
 
> Even though you call the configure script properly, your makefile doesn't call
> gcc with any flags.

Well, it's very simple, no flags needed.

> You should package the NEWS file as %doc.

Fixed.

> The sourceforge page says that this program requires abc2prt and abcm2ps but
> neither of them is provided by the dependencies of this package.  

Oops! A webpage error. Just needs the packages mentioned in the .spec file.
Webpage fixed.

So, all corrections are included in the last package I've uploaded minutes ago.
(rpmlint runs fine on these):
http://internap.dl.sourceforge.net/sourceforge/abcmusiex/abcmusiex-0.9-4.fc8.src.rpm

Thanks again, I'll let you know of any answer from the abcMIDI
packager/mantainers. Or else I'll search for another co-mantainer.

Happy newyear!
Comment 3 Jason Tibbitts 2008-01-20 17:22:06 EST
Did you have any luck getting in contact with the other folks?
Comment 4 Mamoru TASAKA 2008-02-05 12:35:17 EST
What is the status of this review request?
Comment 5 Mamoru TASAKA 2008-02-16 12:58:48 EST
Would someone update this bug?
Comment 6 Rodolfo Alcazar 2008-02-18 06:16:19 EST
I'm very sorry for the delays in answering. I didn't find no one wit whom
co-mantain the package, and become a couple of suggestions. I should work more
on the package, so i'll mark this bug as closed. Thanks a lot, Jason, for your
cooperation. Best to you all.

Note You need to log in before you can comment on or make changes to this bug.